%define         gst_minver      0.8.9
%define         gstp_minver     0.8.9
%define         majorminor      0.8
%define         gstreamer       gstreamer
%define         register        %{_bindir}/gst-register-%{majorminor} > /dev/null 2>&1 || :

Name:           %{gstreamer}-pitfdll
Version:        0.8.1
Release:        0.gst.1.4
Summary:        GStreamer streaming media framework DLL loader plug-in

Group:          Applications/Multimedia
License:        LGPL
URL:            http://ronald.bitfreak.net/pitfdll
Source:         http://dl.sf.net/pitfdll/pitfdll-%{version}.tar.bz2
Patch:          pitfdll-0.8.1-gcc4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre):  %{_bindir}/gst-register-%{majorminor}
Requires(post): %{_bindir}/gst-register-%{majorminor}
Requires:       %{gstreamer}-plugins >= %{gstp_minver}

BuildRequires:  %{gstreamer}-devel >= %{gst_minver}
BuildRequires:  %{gstreamer}-plugins-devel >= %{gstp_minver}
# libtool needs this, sigh
BuildRequires:  gcc-c++

# at least for now, this is i386 only, sorry
ExclusiveArch: i386

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

This package contains a DLL loader plugin to provide media playback for some
proprietary formats.

%prep
%setup -n pitfdll-%{version}
%patch -p1 -b .gcc4

%build
%configure \
  --with-package-name='gstreamer DLL loader plug-in FC rpm' \
  --with-package-origin='http://gstreamer.freedesktop.org/download/fedora.html'

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/win32

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{register}

%postun
%{register}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README RELEASE TODO
%{_libdir}/gstreamer-%{majorminor}/libpitfdll.so
%dir %{_libdir}/win32

%changelog
* Sat Sep 17 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial package for gst repo
